LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XCellRangeData Interface Referencepublished

allows to get and set an array of data from a cell range. More...

`import <XCellRangeData.idl;`

Inheritance diagram for XCellRangeData:

## Public Member Functions
sequence< sequence< any > > | getDataArray ()
| gets an array from the contents of the cell range.
void | setDataArray ([in] sequence< sequence< any > > aArray)
| fills the cell range with values from an array.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows to get and set an array of data from a cell range.

The outer sequence represents the rows and the inner sequence the columns of the array.

Developers Guide
  Spreadsheet Documents - Data Array

## Member Function Documentation

## ◆ getDataArray()

sequence< sequence< any > > getDataArray | ( |  | ) |

gets an array from the contents of the cell range.

Each element of the result contains a `double` or a `string`.

## ◆ setDataArray()

void setDataArray | ( | [in] sequence< sequence< any > > | aArray | ) |

fills the cell range with values from an array.

The size of the array must be the same as the size of the cell range. Each element of the array must contain a `double` or a `string`.

Exceptions

  com::sun::star::uno::RuntimeException | If the size of the array is different from the current size.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XCellRangeData.idl